﻿@model TRPO_Lab3_Khan.Web.Models.CilinderViewModel
@{
    ViewData["Title"] = "Home Page";
}

<div class="text-center">
    <h1 class="display-4">Welcome</h1>

    <p>
        <h1 class="display-5">R = @Model.R</h1>
    </p>
    <p> <h1 class="display-5">H = @Model.H </h1> </p>
    <p>
        @if (@Model.S == -1)
        {
            <h1 class="display-5">Значения не заданы или неверные</h1>
        }
        else {<h1 s="display-5">S = @Model.S</h1>}
    </p>

    <hr />
    <div class="row">
        <div class="col-md-4">
            <form asp-action="Index">
                <div asp-validation-summary="ModelOnly" class="text-danger"></div>
                <div class="form-group">
                    <h1 class="display-5">R = </h1>
                    <label for="@nameof(Model.R)"></label>
                    <input type="text" name="@nameof(Model.R)" value="@Model.R" />
                </div>
                <div class="form-group">
                    <h1 class="display-5">H = </h1>
                    <label for="@nameof(Model.H)"></label>
                    <input type="text" name="@nameof(Model.H)" value="@Model.H" />
                </div>

                <div class="form-group">
                    <input type="submit" value="Save" class="btn btn-primary" />
                </div>
            </form>
        </div>
    </div>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}


